Make a Call

Path Params
string
required

ID of the account that created this call.

Body Params
string
required

Phone number to use as the caller ID. This can be: (a) The To or From number provided in FreeClimb's initial request to your app or (b) Any incoming phone number you have purchased from FreeClimb.

string
required

Phone number to place the Call to. For trial accounts, this must be a Verified Number.

string
required

ID of the application FreeClimb should use to handle this phone call. FreeClimb will use the callConnectUrl and statusCallbackUrl set on the application unless the callConnectUrl attribute is also provided with the request. In this case, the URL specified in that callConnectUrl attribute will be used as a replacement of the callConnectUrl originally assigned in the application. See applicationId v. callConnectUrl above. The application must have a callConnectUrl associated with it or an error will be returned. The application’s voiceUrl parameter is not used for outbound calls.

string
Defaults to null

The URL that FreeClimb should use to handle this phone call. If an applicationId or parentCallId have already been provided, this callConnectUrl attribute will be used as a replacement of the callConnectUrl originally assigned in the application or parent call. See applicationId v. callConnectUrl above.

string
Defaults to null

Required if no applicationId or callConnecturl have been provided. The ID of the parent Call in the case that this new Call is meant to be treated as a child of an existing Call. This attribute should be included when possible to reduce latency when adding child calls to Conferences containing the parent Call. A call can only be used as a parent once the call is in progress or as an inbound call that is still ringing. An outbound call is considered to be in progress once the outdialConnect or outdialApiConnect webhook is invoked. An inbound call is ringing when the inbound webhook is invoked. If a callConnectUrl attribute is also included with the parentCallId in the request, this URL will be used as a replacement of the callConnectUrl originally assigned in the parent call.

string

String of digits to dial after connecting to the number. It can include digits 0-9, *, and #, and allows embedding a pause between the output of individual digits. The default pause is 500 milliseconds. So, a string such as 1234# will be played in 2 seconds because of the 4 standard pauses implied within the string. A custom pause is specified by including a positive integer wrapped in curly braces: {n}. For more information, see sendDigits examples above.

string

Specifies how FreeClimb should handle this Call if an answering machine answers it.

string

This attribute specifies a URL to which FreeClimb will make a POST request when an answering machine or a fax machine is detected. This URL is required if the ifMachine flag is set to redirect. When ifMachine is set to hangup, ifMachineUrl must not be included in the request. For more information, see ifMachineUrl example above. See parameter timeout for more details about how your call can best determine if an answering machine/voicemail is available at the number called.

int32
Defaults to null

Number of seconds that FreeClimb should allow the phone to ring before assuming there is no answer. Default is 40 seconds. Maximum allowed ring-time is determined by the target phone's provider. Typical ring timeout on phones is 30 seconds for an answering machine/voicemail to pick up. The default value here of 40 seconds includes the typical 30 seconds plus time allowance for calls to go through to their destination such that in most instances, your call will have sufficient time to connect to the destination’s voicemail (if they have it). Note that some phone service providers may allow customers to change their ring time higher or lower. Also note that if there is no voicemail configured, most service providers limit ring time to 120 seconds before disconnecting the call.

boolean
Defaults to false

Indicates if the request contains sensitive information which should be hidden. When set to true, the contents of the sendDigits field will be replaced with the string "XXXXX" in the logs.

Response

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json